load File.dirname(__FILE__) + '/../test_helper.rb'

describe "Quiz - CheckBox" do
  include TestHelper

  before(:all) do
    @driver = $driver = Selenium::WebDriver.for(browser_type, browser_options)
  end

  before(:each) do
    driver.navigate.to(site_url + "/checkbox.html")
  end

  after(:all) do
    driver.quit unless debugging?
  end

  it "Multi syntax" do
    driver.find_element(:id, "checkbox_car").click
    sleep 1
    driver.find_element(:id => "checkbox_car").click
    sleep 1
    driver.find_element(id: "checkbox_car").click
  end

  it "Check checkbox  by ID: safe set" do
    the_checkbox =  driver.find_element(:id, "checkbox_car")
    the_checkbox.click unless the_checkbox.selected?
  end


end

