load File.dirname(__FILE__) + "/../test_helper.rb"

describe "Quiz - Advanced User Interactions" do
  include TestHelper

  before(:all) do
    @driver = $driver = Selenium::WebDriver.for(:chrome, browser_options)
  end

  before(:each) do
    driver.navigate.to(site_url + "/text_field.html")
    driver.find_element(:id, "comments").send_keys("Multiple Line\r\n Text")
  end

  after(:all) do
    sleep 2
    driver.quit unless debugging? || driver.nil?
  end
  it "Clear al" do
    elem = driver.find_element(:id, "comments")
    elem.clear
  end

  it "Key sequence - Select all and delete on Mac" do
    elem = driver.find_element(:id, "comments")
    elem.send_keys([:command, "a"])
    elem.send_keys(:backspace)
  end

  it "Advanced user - Select all and delete on Mac" do
    elem = driver.find_element(:id, "comments")
    driver.action.click(elem).key_down(:command).send_keys("a").key_up(:command).send_keys(:backspace).perform
  end
end
