load File.dirname(__FILE__) + '/../test_helper.rb'

describe "Quiz - Enter text in text field" do
  include TestHelper

  before(:all) do
    @driver = $driver = Selenium::WebDriver.for(browser_type, browser_options)
  end

  before(:each) do
    driver.navigate.to(site_url + "/text_field.html")
  end

  after(:all) do
    driver.quit unless debugging?
  end

 
  it "Focus a password field" do
    driver.find_element(:id, "pass").send_keys("")
  end

  it "Enter text in a multi-row text area" do
    elem = driver.find_element(:id, "comments")
    elem.send_keys("TestWise", " " , "is", :enter)
    elem.send_keys("Cooo", :backspace, "l")
  end

  
end

