# Special test that uses last browser window (from a TestWise run)
# Then you can try Selenium commands directly on the page, without the need to restart from the beginning.

load File.dirname(__FILE__) + "/../test_helper.rb"

describe "DEBUG" do
  include TestHelper

  before(:all) do
    use_current_browser
  end

  it "Debugging" do
    driver.navigate.to(site_url + "/text_field.html")
    driver.find_element(:id, "comments").send_keys("Multiple Line\r\n Text")
    elem = driver.find_element(:id, "comments")
    driver.action.click(elem).
      key_down(:command).
      send_keys("a").
      key_up(:command).send_keys(:backspace).perform
      
    # this different from click element, the key is send to browser directly
    #driver.action.send_keys(:backspace).perform
  end
end
